Package org.springframework.aot.hint

# Enum Class ExecutableMode

java.lang.Object
java.lang.Enum<ExecutableMode>
org.springframework.aot.hint.ExecutableMode

All Implemented Interfaces:
  `Serializable`, `Comparable<ExecutableMode>`, `Constable`

public enum ExecutableMode extends Enum<ExecutableMode>
Represent the need of reflection for a given `Executable`.

Since:
  6.0
Author:
  Stephane Nicoll

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INTROSPECT`
Only retrieving the `Executable` and its metadata is required.
`INVOKE`
Full reflection support is required, including the ability to invoke the `Executable`.

## Method Summary

Modifier and Type
Method
Description
`static ExecutableMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ExecutableMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INTROSPECT

public static final ExecutableMode INTROSPECT
Only retrieving the `Executable` and its metadata is required.

### INVOKE

public static final ExecutableMode INVOKE
Full reflection support is required, including the ability to invoke the `Executable`.

## Method Details

### values

public static ExecutableMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ExecutableMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null